Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

Filter by
Sorted by
Tagged with
1
vote
0answers
21 views

how to install a FORTRAN solver in Mac?

I am trying to install a solver on my Mac Pro 2019. first step is: sudo apt-get install gfortran but I get error: command not found I also tried brew install gfortran also port install ...
0
votes
0answers
26 views

What is the correct command for installing etcher (or its image) to debian, 32-bit?

Trying to install etcher. I have a command for it, but it appears to be for 64-bit (ie: "amd64.deb"). I changed the 64 to 32 in the command line, but it does not work. I spent 3-hours trying every ...
0
votes
1answer
1k views

Install Texlive in manjaro via iso

I have the TeXlive .iso file and a Manjaro linux distro. I tried to run the install.sh script from the iso file, with ./install.sh after chmod +x. Apparently this doesn't install the TeXlive. ...
-2
votes
2answers
3k views

Can't install VirtualBox on Debian 9

Hi' I want to install some VM on my Debian but the install fails I tried with two .deb (my pc is x64 so I tried to install first the amd64 version) virtualbox-5.2_5.2.0-118431-Debian-stretch_amd64....
-1
votes
1answer
26 views

yum + dependencies not logical when installing openjdk

we are tryng to install the java-1.8.0-openjdk-devel-1.8.0.161-2.b14.el7.x86_64.rpm yum localinstall java-1.8.0-openjdk-devel-1.8.0.161-2.b14.el7.x86_64.rpm Loaded plugins: langpacks, product-id, ...
1
vote
1answer
25 views

How to install LaTeX package linguex to Ubuntu?

I would like to write a latex document that contains numbered sentences. I was suggested to use package linguex at https://tex.stackexchange.com/a/504304. How can I install it to Ubuntu?
0
votes
1answer
42 views

Cannot install default-jre - package 'default-jre' has no installation candidate

If I type java -version I get Command 'java' not found, but can be installed with: sudo apt install default-jre sudo apt install openjdk-11-jre-headless sudo apt install openjdk-8-jre-headless (...
3
votes
1answer
6k views

Starting Tomcat Service when starting CentOS/RHEL/Fedora

I want to install tomcat 8 and run it at startup time I am following these tutorials: Install Tomcat 7 on CentOS, RHEL, or Fedora How to install Tomcat 8 on a CentOS 6 VPS I created the tomcat user:...
15
votes
3answers
49k views

Difference between “make install” and “sudo make install”

Sometimes I encounter problems with using make install which gives me a permission denied error when writing to some folders. So instinctively I use sudo make install. Will this introduce additional ...
0
votes
2answers
28 views

Temporary package installation

How can I install some packages temporarily and easily remove them when unwanted several months/years later? The reason for this is that I like to extensively test software before deciding whether to ...
0
votes
2answers
532 views

How to install PPAs (from Launchpad) on non-Ubuntu distros like Debian?

AFAIK only Ubuntu and (obviously) Ubuntu-based distributions can handle PPAs. A major (and maybe the only) source of PPAs is Launchpad - another service by Canonical. A real-world example is ...
0
votes
2answers
100 views

How can I install gufw on fedora?

I want to install gufw on my Fedora, but I do not know how to do that. I tried to install with the dnf package manager command but it doesn't work and gets this output: No match for argument: gufw ...
-1
votes
2answers
11k views

Install R on Linux Mint 18.2 Sonya Mate

I tried to install R on Mint without success. Here are instructions, that I already tried to follow on YouTube: sudo apt-get install r-base [sudo] password for xwing: Reading package lists... Done ...
0
votes
0answers
16 views

Installing an older version of terragrunt Ubuntu

This is my first time trying to install this package. I am on an SSH console to a VM so no GUI. I need to install version 0.18.7 which can only be accessed from the github repo page. I downloaded it ...
70
votes
5answers
149k views

How to install program locally without sudo privileges?

Assume I have ssh access to some Ubuntu server as user and I need some not system tools to be installed for convenience (mc, rtorrent, mcedit). I do not want to bother admins for these small programs. ...
2
votes
6answers
1k views

Unable to compile Dropbox source even though pygtk is installed on Arch Linux

I have recently installed Arch Linux on my system and I want to set up the Dropbox client so that I may sync some of my files with the cloud. I am trying to compile the client from source as ...
2
votes
1answer
36 views

Command 'electrum' not found

I just installed (using sudo -H) electrum 3.3.8 on 18.04 LTS ubuntu and it looks like everything works: the results of python3 -m pip install --user Electrum-3.3.8.tar.gz[fast] are: Successfully ...
1
vote
2answers
2k views

How to install Electrum 2.6.4 bitcoin wallet on Mint 18

Today's question of mine was How do I install Electrum 2.6.4 Bitcoin wallet on my Linux Mint 18.
0
votes
2answers
1k views

How to open a program on linux?

I've recently downloaded tor by using the command: sudo apt-get install tor I run Linux Mint 17.3 "Rosa" and I have no idea where this file destination is. Could someone please tell me where it ...
0
votes
1answer
1k views

Installed PHP extensions to wrong PHP version

I just bought a VPS and it came with PHP5.3.3 and that wasn't good for our website, so I successfully (so it seemed, anyway) installed PHP5.6.7 and successfully registered it with Plesk. For the ...
0
votes
0answers
20 views

openSUSE - Install latest PHP from source

I have PHP 7.2.5 and I need to upgrade to the latest PHP. First I purged the old php by executing apt-get purge php7 Then I downloaded php-7.3.7 extracted it to my webserver and executed ./configure ...
1
vote
1answer
32 views

mosquitto_sub –d –t armtronix_mqtt Error: Unknown option '–d'

What information can be gleaned for corrective action to enable subscription to the example MQTT topic? The goal is to reproduce the test (subscribe & publish), per the instruction's Step 3: an ...
1
vote
1answer
1k views

pkgin installation problem (NetBSD)

I just installed NetBSD 7.1.1 (i386) on my old laptop. During the installation, I could not install pgkin (I don't know why), so I skipped it and now I have a NetBSD 7.1.1 installed on my laptop ...
1
vote
1answer
221 views

Disable Language Packages in Zypper

I am an OpenSUSE user, which means that I use zypper as the main package manager. When I install almost anything, I get a package with the same name but with a -lang suffix that is recommended by ...
0
votes
0answers
13 views

Installed zsteg with gem but command isn't recognised

I installed zsteg with gem with the line "sudo gem install zsteg" and everything installed perfectly, but when I type "zsteg" or any valid command that the zsteg documentation says should work all I ...
0
votes
1answer
14 views

How to install Telegram-messenger on Puppy Linux?

I want to install Telegram-messenger (latest version) on Puppy Linux. How to solve this question? Thank in advance !
-2
votes
1answer
863 views

How to install directly from a package *.tgz file in NetBSD, OpenBSD, or FreeBSD

Is there any way to install software from the *.tgz file that is its package, in NetBSD? Or indeed in operating systems with similar package managers such as OpenBSD or FreeBSD? For example, I can ...
1
vote
3answers
1k views

Unable to install openssl-libs

I'm trying to install dotnet-sdk-2.1 but it's failing due to that fact that openssl-libs isn't found. I've tried manually installing it using yum, but to no avail. yum repolist
1
vote
1answer
28 views

Installing Java on FreeBSD: `sudo pkg install openjdk11-11.0.4+11.1` fails to find package despite being listed in the “FreeBSD Ports Search” page

On the FreeBSD Ports Search page, I see results listing an item openjdk11-11.0.4+11.1. When I try to install that: $ sudo pkg install openjdk11-11.0.4+11.1 …I get error saying the package could ...
1
vote
2answers
1k views

missing zlib when configuring dropbear

when I ran ./configure in dropbear, it says missing zlib; however, I've already added the prefix, i.e., --prefix, to point to the correct directory for zlib, but the problem still persists. I'm ...
1
vote
1answer
2k views

How to downgrade glibc-common from 2.17-260.el7 to 2.17-222.el7

I am trying to install gcc on my RHEL 7.6 Beta workstation. At the moment, I am doing it using the command yum install gcc, but I keep receiving this error: --> Finished Dependency Resolution ...
27
votes
3answers
68k views

Couldn't find postgresql.conf & pg_hba.conf files in my postgresql installation

Following all the instructions from UNIXMEN, installed postgresql-9.4 in CentOS 6.4. Everything went well, started the service and could access pgsql screen. But when I try to configure the phpPgAdmin,...
5
votes
4answers
2k views

Gdebi keeps crashing when “Install” is clicked

I'm having an issue with gdebi, where it launches and loads the package I'm trying to install just fine, but whenever I click on "Install" it crashes and quits. I don't mind having to use dpkg -i ...
4
votes
3answers
18k views

No package stress available. How to install stress on CentOS 7.2?

I'm running virtual machine CentOS 7.2 on Azure and want to install stress tool for some test related to Alert. The point is even though i installed latest repository 7.6, i still wasn't be able to ...
1
vote
1answer
386 views

Incorrect virtualbox (kernel) installed for Manjaro/Arch/pacman

I did a bad virtualbox installation on 4.19.2-1-MANJARO with pacman. This is my initial install stdout: [gloom@tacos-pc etc]$ sudo pacman -S virtualbox error: could not register 'multilib' ...
1
vote
1answer
25 views

How to debug a program hanging when launched?

I've upgraded my Slackware 14.2 install and Scribus stopped working : when I launch it in a terminal, it just hangs, nothing happen — even when just querying help or version (scribus -h or scribus -v)....
101
votes
8answers
199k views

How to install Python 3.6?

I'd like to install the latest Python, which is 3.6 at the time of this post. However, the repository is saying that Python 3.4.2 is the newest version. I've tried: $ sudo apt-get update $ sudo apt-...
8
votes
3answers
6k views

No sha256sum in MacOS

I tried to use sha256sum in High Sierra; I attempted to install it with MacPorts, as: sudo port install sha256sum It did not work. What to do?
4
votes
2answers
926 views

How to change the repository settings for yum installer?

I am pretty much new to Linux. I am trying to install tint2 on CentOS. When I try to install using the command yum install tint2, it gave following error checking for X11... configure: error: Package ...
0
votes
0answers
24 views

Wine does not want to install on KDE neon

I’m using KDE neon and tried to install Wine.  However, if I install it, I always get: sudo apt install wine-stable Reading package lists... Done Building dependency tree Reading state ...
0
votes
0answers
65 views

Amarok fails to load on Debian Buster / Devuan Beowulf

I've downloaded and built Amarok 2.9.0 on Devuan Beowulf (= Debian Buster without systemd) - after installing a whole bunch of prerequisite Qt and KDE-related packaged. The build passed (after a bit ...
0
votes
1answer
1k views

How to reinstall python

I messed up my python3.4 installation by make install of python3.5. $ python3 --version Python 3.5.0 This is what I get from pip --version: $ pip --version pip 7.1.2 from /usr/local/lib/python3.4/...
4
votes
2answers
419 views

Why does pip3 install in ~/.local on Debian?

I'm testing Debian 10 in a VM to check if i can use it for my stream servers (headless minimal netinstall). Why does pip3 install, e.g supervisor, in ~/.local? I did read the release notes but ...
2
votes
1answer
51 views

Transfer RPMs file with Ansible and localinstall them

I am having the following yaml ansible-playbook and want to transfer the rpms and then localinstall them on the remote machine. Until the transfer file step its working fine however on the ...
0
votes
1answer
960 views

Get an error when trying to install Matlab 2014a on Debian

I'm trying to install Matlab 2014a on Debian Testing. When I run the install script with sudo ./install -javadir /usr/lib/jvm/java-7-openjdk-amd64/jre/ I get this output Preparing installation ...
3
votes
2answers
139 views

Package, repository and installation process in Linux

I read many articles on the internet about how to install a program on Linux, for example Ubuntu, but I'm still confused! What I understand 'till now is: First, we should add repository that ...
0
votes
1answer
37 views

Install Postgres database on FreeBSD

How does one go about discovering and installing the Postgres database system onto a FreeBSD machine? Must one install the entire gig of data for the entire Ports tree, and then compile from source? ...
0
votes
0answers
38 views

How to fix broken Debian?

These errors (see pic. 1 and 2) appear every time I boot in Debian. I tried to update from stretch to buster, but it didn't have any effect. I have dual boot with Windows 10, so that potentially might ...
3
votes
1answer
8k views

Updating Nginx server to 1.10 on Debian 8.4

I just installed the latest Debian version (8.4) on a virtual machine, and everything went fine. I then installed nginx server from the Debian repos and I got version 1.6.2, while the latest version ...
0
votes
1answer
29 views

Configure Zulip chat

I am trying to install Zulip chat on Ubuntu but get this error: bash: ./scripts/setup/install: /usr/bin/env: bad interpreter: Permission denied I would really appreciate it if someone could help me ...